Subject: [netmod] [Editorial Errata Reported] RFC6244 (3356)

From: RFC Errata System <[email-masked]>
Date: Mon, 17 Sep 2012 09:17:42 -0700 (PDT)

The following errata report has been submitted for RFC6244,
"An Architecture for Network Management Using NETCONF and YANG".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6244&eid=3356

--------------------------------------
Type: Editorial
Reported by: Benoit Claise <[email-masked]>

Section: 2.2.3

Original Text
-------------
          augment /ospf:ospf/ospf:area/ospf:interfaces  {
               leaf no-neighbor-down-notification {
                   type empty;
                   description "Don't inform other protocols about"
                             + " neighbor down events";

Corrected Text
--------------
          augment /ospf:ospf/ospf:area/ospf:interface {
               leaf no-neighbor-down-notification {
                   type empty;
                   description "Don't inform other protocols about"
                             + " neighbor down events";

Notes
-----
Section 2.2.3
 For example, if the above OSPF configuration were the standard, a
   vendor module may augment this with vendor-specific extensions.

       module vendorx-ospf {
           namespace "http://vendorx.example.com/ospf";
           prefix vendorx;

           import example-ospf {
               prefix ospf;
           }

           augment /ospf:ospf/ospf:area/ospf:interfaces  {
               leaf no-neighbor-down-notification {
                   type empty;
                   description "Don't inform other protocols about"
                             + " neighbor down events";
               }
           }
       }

While the "above OSPF configuration" refers to interface and not interfaces

   module example-ospf {
           namespace "http://example.org/netconf/ospf";
           prefix ospf;

           import network-types {  // Access another module's def'ns
               prefix nett;
           }

           container ospf {   // Declare the top-level tag
               list area {    // Declare a list of "area" nodes
                   key name;  // The key "name" identifies list members
                   leaf name {
                       type nett:area-id;
                   }
                   list interface {
                       key name;
                       leaf name {
                           type nett:interface-name;
                       }
                       leaf priority {
                           description "Designated router priority";
                           type uint8;  // The type is a constraint on
                                        // valid values for "priority".
                       }
                       leaf metric {
                           type uint16 {
                               range 1..65535;
                           }
                       }
                       leaf dead-interval {
                           units seconds;
                           type uint16 {
                               range 1..65535;
                           }
                       }
                   }
               }
           }
       }

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6244 (draft-ietf-netmod-arch-10)
--------------------------------------
Title               : An Architecture for Network Management Using NETCONF and YANG
Publication Date    : June 2011
Author(s)           : P. Shafer
Category            : INFORMATIONAL
Source              : NETCONF Data Modeling Language
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG